## org.eclipse.emf.ecore.sdo.provider
Class SDOItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.ecore.sdo.util.SDOAdapterFactory
              org.eclipse.emf.ecore.sdo.provider.SDOItemProviderAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

    public class SDOItemProviderAdapterFactory

extends SDOAdapterFactory
implements ComposeableAdapterFactory, IChangeNotifier, IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected EChangeSummaryItemProvider` `eChangeSummaryItemProvider` This keeps track of the one adapter used for all `EChangeSummary` instances
`protected EChangeSummarySettingItemProvider` `eChangeSummarySettingItemProvider` This keeps track of the one adapter used for all `EChangeSummarySetting` instances
`protected EDataGraphItemProvider` `eDataGraphItemProvider` This keeps track of the one adapter used for all `EDataGraph` instances
`protected EDataObjectAnyTypeItemProvider` `eDataObjectAnyTypeItemProvider` This keeps track of the one adapter used for all `EDataObjectAnyType` instances
`protected EDataObjectItemProvider` `eDataObjectItemProvider` This keeps track of the one adapter used for all `EDataObject` instances
`protected EDataObjectSimpleAnyTypeItemProvider` `eDataObjectSimpleAnyTypeItemProvider` This keeps track of the one adapter used for all `EDataObjectSimpleAnyType` instances
`protected EPropertyItemProvider` `ePropertyItemProvider` This keeps track of the one adapter used for all `EProperty` instances
`protected ETypeItemProvider` `eTypeItemProvider` This keeps track of the one adapter used for all `EType` instances
`protected ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`

Fields inherited from class org.eclipse.emf.ecore.sdo.util.SDOAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`SDOItemProviderAdapterFactory()` This constructs an instance

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener
`Adapter` `createEChangeSummaryAdapter()` This creates an adapter for a `EChangeSummary`
`Adapter` `createEChangeSummarySettingAdapter()` This creates an adapter for a `EChangeSummarySetting`
`Adapter` `createEDataGraphAdapter()` This creates an adapter for a `EDataGraph`
`Adapter` `createEDataObjectAdapter()` This creates an adapter for a `EDataObject`
`Adapter` `createEDataObjectAnyTypeAdapter()` This creates an adapter for a `EDataObjectAnyType`
`Adapter` `createEDataObjectSimpleAnyTypeAdapter()` This creates an adapter for a `EDataObjectSimpleAnyType`
`Adapter` `createEPropertyAdapter()` This creates an adapter for a `EProperty`
`Adapter` `createETypeAdapter()` This creates an adapter for a `EType`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.emf.ecore.sdo.util.SDOAdapterFactory

`createAdapter, createAnyTypeAdapter, createChangeDescriptionAdapter, createChangeSummaryAdapter, createChangeSummarySettingAdapter, createDataGraphAdapter, createDataObjectAdapter, createEJavaSerializableAdapter, createEObjectAdapter, createESequenceAdapter, createFeatureChangeAdapter, createInternalEDataObjectAdapter, createPropertyAdapter, createSequenceAdapter, createSimpleAnyTypeAdapter, createTypeAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### eChangeSummaryItemProvider

    protected EChangeSummaryItemProvider eChangeSummaryItemProvider

  This keeps track of the one adapter used for all `EChangeSummary` instances.

### eChangeSummarySettingItemProvider

    protected EChangeSummarySettingItemProvider eChangeSummarySettingItemProvider

  This keeps track of the one adapter used for all `EChangeSummarySetting` instances.

### eDataGraphItemProvider

    protected EDataGraphItemProvider eDataGraphItemProvider

  This keeps track of the one adapter used for all `EDataGraph` instances.

### eDataObjectItemProvider

    protected EDataObjectItemProvider eDataObjectItemProvider

  This keeps track of the one adapter used for all `EDataObject` instances.

### ePropertyItemProvider

    protected EPropertyItemProvider ePropertyItemProvider

  This keeps track of the one adapter used for all `EProperty` instances.

### eTypeItemProvider

    protected ETypeItemProvider eTypeItemProvider

  This keeps track of the one adapter used for all `EType` instances.

### eDataObjectAnyTypeItemProvider

    protected EDataObjectAnyTypeItemProvider eDataObjectAnyTypeItemProvider

  This keeps track of the one adapter used for all `EDataObjectAnyType` instances.

### eDataObjectSimpleAnyTypeItemProvider

    protected EDataObjectSimpleAnyTypeItemProvider eDataObjectSimpleAnyTypeItemProvider

  This keeps track of the one adapter used for all `EDataObjectSimpleAnyType` instances.

Constructor Detail

### SDOItemProviderAdapterFactory

    public SDOItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createEChangeSummaryAdapter

    public Adapter createEChangeSummaryAdapter()

  This creates an adapter for a `EChangeSummary`.

  Overrides:
    `createEChangeSummaryAdapter` in class `SDOAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `EChangeSummary`

### createEChangeSummarySettingAdapter

    public Adapter createEChangeSummarySettingAdapter()

  This creates an adapter for a `EChangeSummarySetting`.

  Overrides:
    `createEChangeSummarySettingAdapter` in class `SDOAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `EChangeSummarySetting`

### createEDataGraphAdapter

    public Adapter createEDataGraphAdapter()

  This creates an adapter for a `EDataGraph`.

  Overrides:
    `createEDataGraphAdapter` in class `SDOAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `EDataGraph`

### createEDataObjectAdapter

    public Adapter createEDataObjectAdapter()

  This creates an adapter for a `EDataObject`.

  Overrides:
    `createEDataObjectAdapter` in class `SDOAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `EDataObject`

### createEPropertyAdapter

    public Adapter createEPropertyAdapter()

  This creates an adapter for a `EProperty`.

  Overrides:
    `createEPropertyAdapter` in class `SDOAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `EProperty`

### createETypeAdapter

    public Adapter createETypeAdapter()

  This creates an adapter for a `EType`.

  Overrides:
    `createETypeAdapter` in class `SDOAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `EType`

### createEDataObjectAnyTypeAdapter

    public Adapter createEDataObjectAnyTypeAdapter()

  This creates an adapter for a `EDataObjectAnyType`.

  Overrides:
    `createEDataObjectAnyTypeAdapter` in class `SDOAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `EDataObjectAnyType`

### createEDataObjectSimpleAnyTypeAdapter

    public Adapter createEDataObjectSimpleAnyTypeAdapter()

  This creates an adapter for a `EDataObjectSimpleAnyType`.

  Overrides:
    `createEDataObjectSimpleAnyTypeAdapter` in class `SDOAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `EDataObjectSimpleAnyType`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `SDOAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `IDisposable`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.